"Fossies" - the Fresh Open Source Software Archive

Member "bashdb-5.0-1.1.0/test/integration/Makefile.in" (4 Sep 2019, 42051 Bytes) of package /linux/privat/bashdb-5.0-1.1.0.tar.bz2:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 4.4-1.0.1_vs_5.0-1.1.0.

    1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = { \
   18   if test -z '$(MAKELEVEL)'; then \
   19     false; \
   20   elif test -n '$(MAKE_HOST)'; then \
   21     true; \
   22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   23     true; \
   24   else \
   25     false; \
   26   fi; \
   27 }
   28 am__make_running_with_option = \
   29   case $${target_option-} in \
   30       ?) ;; \
   31       *) echo "am__make_running_with_option: internal error: invalid" \
   32               "target option '$${target_option-}' specified" >&2; \
   33          exit 1;; \
   34   esac; \
   35   has_opt=no; \
   36   sane_makeflags=$$MAKEFLAGS; \
   37   if $(am__is_gnu_make); then \
   38     sane_makeflags=$$MFLAGS; \
   39   else \
   40     case $$MAKEFLAGS in \
   41       *\\[\ \	]*) \
   42         bs=\\; \
   43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   44           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   45     esac; \
   46   fi; \
   47   skip_next=no; \
   48   strip_trailopt () \
   49   { \
   50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   51   }; \
   52   for flg in $$sane_makeflags; do \
   53     test $$skip_next = yes && { skip_next=no; continue; }; \
   54     case $$flg in \
   55       *=*|--*) continue;; \
   56         -*I) strip_trailopt 'I'; skip_next=yes;; \
   57       -*I?*) strip_trailopt 'I';; \
   58         -*O) strip_trailopt 'O'; skip_next=yes;; \
   59       -*O?*) strip_trailopt 'O';; \
   60         -*l) strip_trailopt 'l'; skip_next=yes;; \
   61       -*l?*) strip_trailopt 'l';; \
   62       -[dEDm]) skip_next=yes;; \
   63       -[JT]) skip_next=yes;; \
   64     esac; \
   65     case $$flg in \
   66       *$$target_option*) has_opt=yes; break;; \
   67     esac; \
   68   done; \
   69   test $$has_opt = yes
   70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   72 pkgdatadir = $(datadir)/@PACKAGE@
   73 pkgincludedir = $(includedir)/@PACKAGE@
   74 pkglibdir = $(libdir)/@PACKAGE@
   75 pkglibexecdir = $(libexecdir)/@PACKAGE@
   76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   77 install_sh_DATA = $(install_sh) -c -m 644
   78 install_sh_PROGRAM = $(install_sh) -c
   79 install_sh_SCRIPT = $(install_sh) -c
   80 INSTALL_HEADER = $(INSTALL_DATA)
   81 transform = $(program_transform_name)
   82 NORMAL_INSTALL = :
   83 PRE_INSTALL = :
   84 POST_INSTALL = :
   85 NORMAL_UNINSTALL = :
   86 PRE_UNINSTALL = :
   87 POST_UNINSTALL = :
   88 build_triplet = @build@
   89 host_triplet = @host@
   90 subdir = test/integration
   91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   92 am__aclocal_m4_deps = $(top_srcdir)/libtool.m4 \
   93 	$(top_srcdir)/ltoptions.m4 $(top_srcdir)/ltsugar.m4 \
   94 	$(top_srcdir)/ltversion.m4 $(top_srcdir)/lt~obsolete.m4 \
   95 	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
   96 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   97 	$(ACLOCAL_M4)
   98 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
   99 mkinstalldirs = $(install_sh) -d
  100 CONFIG_HEADER = $(top_builddir)/config.h
  101 CONFIG_CLEAN_FILES = test-bug-break test-bug-step-subshell \
  102 	test-complete test-debug test-delete test-export \
  103 	test-file-with-spaces test-interrupt test-misc test-setshow \
  104 	test-info-args test-settrace test-sig check-common.sh
  105 CONFIG_CLEAN_VPATH_FILES =
  106 AM_V_P = $(am__v_P_@AM_V@)
  107 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  108 am__v_P_0 = false
  109 am__v_P_1 = :
  110 AM_V_GEN = $(am__v_GEN_@AM_V@)
  111 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  112 am__v_GEN_0 = @echo "  GEN     " $@;
  113 am__v_GEN_1 = 
  114 AM_V_at = $(am__v_at_@AM_V@)
  115 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  116 am__v_at_0 = @
  117 am__v_at_1 = 
  118 SOURCES =
  119 DIST_SOURCES =
  120 am__can_run_installinfo = \
  121   case $$AM_UPDATE_INFO_DIR in \
  122     n|no|NO) false;; \
  123     *) (install-info --version) >/dev/null 2>&1;; \
  124   esac
  125 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  126 am__tty_colors_dummy = \
  127   mgn= red= grn= lgn= blu= brg= std=; \
  128   am__color_tests=no
  129 am__tty_colors = { \
  130   $(am__tty_colors_dummy); \
  131   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  132     am__color_tests=no; \
  133   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  134     am__color_tests=yes; \
  135   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  136     am__color_tests=yes; \
  137   fi; \
  138   if test $$am__color_tests = yes; then \
  139     red=''; \
  140     grn=''; \
  141     lgn=''; \
  142     blu=''; \
  143     mgn=''; \
  144     brg=''; \
  145     std=''; \
  146   fi; \
  147 }
  148 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  149 am__vpath_adj = case $$p in \
  150     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  151     *) f=$$p;; \
  152   esac;
  153 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  154 am__install_max = 40
  155 am__nobase_strip_setup = \
  156   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  157 am__nobase_strip = \
  158   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  159 am__nobase_list = $(am__nobase_strip_setup); \
  160   for p in $$list; do echo "$$p $$p"; done | \
  161   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  162   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  163     if (++n[$$2] == $(am__install_max)) \
  164       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  165     END { for (dir in files) print dir, files[dir] }'
  166 am__base_list = \
  167   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  168   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  169 am__uninstall_files_from_dir = { \
  170   test -z "$$files" \
  171     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  172     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  173          $(am__cd) "$$dir" && rm -f $$files; }; \
  174   }
  175 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  176 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  177 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  178 # A command that, given a newline-separated list of test names on the
  179 # standard input, print the name of the tests that are to be re-run
  180 # upon "make recheck".
  181 am__list_recheck_tests = $(AWK) '{ \
  182   recheck = 1; \
  183   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  184     { \
  185       if (rc < 0) \
  186         { \
  187           if ((getline line2 < ($$0 ".log")) < 0) \
  188 	    recheck = 0; \
  189           break; \
  190         } \
  191       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  192         { \
  193           recheck = 0; \
  194           break; \
  195         } \
  196       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  197         { \
  198           break; \
  199         } \
  200     }; \
  201   if (recheck) \
  202     print $$0; \
  203   close ($$0 ".trs"); \
  204   close ($$0 ".log"); \
  205 }'
  206 # A command that, given a newline-separated list of test names on the
  207 # standard input, create the global log from their .trs and .log files.
  208 am__create_global_log = $(AWK) ' \
  209 function fatal(msg) \
  210 { \
  211   print "fatal: making $@: " msg | "cat >&2"; \
  212   exit 1; \
  213 } \
  214 function rst_section(header) \
  215 { \
  216   print header; \
  217   len = length(header); \
  218   for (i = 1; i <= len; i = i + 1) \
  219     printf "="; \
  220   printf "\n\n"; \
  221 } \
  222 { \
  223   copy_in_global_log = 1; \
  224   global_test_result = "RUN"; \
  225   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  226     { \
  227       if (rc < 0) \
  228          fatal("failed to read from " $$0 ".trs"); \
  229       if (line ~ /$(am__global_test_result_rx)/) \
  230         { \
  231           sub("$(am__global_test_result_rx)", "", line); \
  232           sub("[ 	]*$$", "", line); \
  233           global_test_result = line; \
  234         } \
  235       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  236         copy_in_global_log = 0; \
  237     }; \
  238   if (copy_in_global_log) \
  239     { \
  240       rst_section(global_test_result ": " $$0); \
  241       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  242       { \
  243         if (rc < 0) \
  244           fatal("failed to read from " $$0 ".log"); \
  245         print line; \
  246       }; \
  247       printf "\n"; \
  248     }; \
  249   close ($$0 ".trs"); \
  250   close ($$0 ".log"); \
  251 }'
  252 # Restructured Text title.
  253 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  254 # Solaris 10 'make', and several other traditional 'make' implementations,
  255 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  256 # by disabling -e (using the XSI extension "set +e") if it's set.
  257 am__sh_e_setup = case $$- in *e*) set +e;; esac
  258 # Default flags passed to test drivers.
  259 am__common_driver_flags = \
  260   --color-tests "$$am__color_tests" \
  261   --enable-hard-errors "$$am__enable_hard_errors" \
  262   --expect-failure "$$am__expect_failure"
  263 # To be inserted before the command running the test.  Creates the
  264 # directory for the log if needed.  Stores in $dir the directory
  265 # containing $f, in $tst the test, in $log the log.  Executes the
  266 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  267 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  268 # will run the test scripts (or their associated LOG_COMPILER, if
  269 # thy have one).
  270 am__check_pre = \
  271 $(am__sh_e_setup);					\
  272 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  273 $(am__tty_colors);					\
  274 srcdir=$(srcdir); export srcdir;			\
  275 case "$@" in						\
  276   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  277     *) am__odir=.;; 					\
  278 esac;							\
  279 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  280   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  281 if test -f "./$$f"; then dir=./;			\
  282 elif test -f "$$f"; then dir=;				\
  283 else dir="$(srcdir)/"; fi;				\
  284 tst=$$dir$$f; log='$@'; 				\
  285 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  286   am__enable_hard_errors=no; 				\
  287 else							\
  288   am__enable_hard_errors=yes; 				\
  289 fi; 							\
  290 case " $(XFAIL_TESTS) " in				\
  291   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  292     am__expect_failure=yes;;				\
  293   *)							\
  294     am__expect_failure=no;;				\
  295 esac; 							\
  296 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  297 # A shell command to get the names of the tests scripts with any registered
  298 # extension removed (i.e., equivalently, the names of the test logs, with
  299 # the '.log' extension removed).  The result is saved in the shell variable
  300 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  301 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  302 # since that might cause problem with VPATH rewrites for suffix-less tests.
  303 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  304 am__set_TESTS_bases = \
  305   bases='$(TEST_LOGS)'; \
  306   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  307   bases=`echo $$bases`
  308 RECHECK_LOGS = $(TEST_LOGS)
  309 AM_RECURSIVE_TARGETS = check recheck
  310 TEST_SUITE_LOG = test-suite.log
  311 TEST_EXTENSIONS = @EXEEXT@ .test
  312 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  313 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  314 am__set_b = \
  315   case '$@' in \
  316     */*) \
  317       case '$*' in \
  318         */*) b='$*';; \
  319           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  320        esac;; \
  321     *) \
  322       b='$*';; \
  323   esac
  324 am__test_logs1 = $(TESTS:=.log)
  325 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  326 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  327 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  328 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  329 	$(TEST_LOG_FLAGS)
  330 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/check-common.sh.in \
  331 	$(srcdir)/test-bug-break.in \
  332 	$(srcdir)/test-bug-step-subshell.in $(srcdir)/test-complete.in \
  333 	$(srcdir)/test-debug.in $(srcdir)/test-delete.in \
  334 	$(srcdir)/test-export.in $(srcdir)/test-file-with-spaces.in \
  335 	$(srcdir)/test-info-args.in $(srcdir)/test-interrupt.in \
  336 	$(srcdir)/test-misc.in $(srcdir)/test-setshow.in \
  337 	$(srcdir)/test-settrace.in $(srcdir)/test-sig.in \
  338 	$(top_srcdir)/test-driver README
  339 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  340 ACLOCAL = @ACLOCAL@
  341 ALT_PACKAGE_NAME = @ALT_PACKAGE_NAME@
  342 AMTAR = @AMTAR@
  343 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  344 AR = @AR@
  345 AUTOCONF = @AUTOCONF@
  346 AUTOHEADER = @AUTOHEADER@
  347 AUTOMAKE = @AUTOMAKE@
  348 AWK = @AWK@
  349 BASHVERS = @BASHVERS@
  350 CC = @CC@
  351 CCDEPMODE = @CCDEPMODE@
  352 CFLAGS = @CFLAGS@
  353 CMDLINE_INVOKED = @CMDLINE_INVOKED@
  354 CPP = @CPP@
  355 CPPFLAGS = @CPPFLAGS@
  356 CYGPATH_W = @CYGPATH_W@
  357 DBGR_MAIN = @DBGR_MAIN@
  358 DEFS = @DEFS@
  359 DEPDIR = @DEPDIR@
  360 DIFF = @DIFF@
  361 DIFF_OPTS = @DIFF_OPTS@
  362 DLLTOOL = @DLLTOOL@
  363 DSYMUTIL = @DSYMUTIL@
  364 DUMPBIN = @DUMPBIN@
  365 ECHO_C = @ECHO_C@
  366 ECHO_N = @ECHO_N@
  367 ECHO_T = @ECHO_T@
  368 EGREP = @EGREP@
  369 EXEEXT = @EXEEXT@
  370 FGREP = @FGREP@
  371 GIT2CL = @GIT2CL@
  372 GREP = @GREP@
  373 INSTALL = @INSTALL@
  374 INSTALL_DATA = @INSTALL_DATA@
  375 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  376 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  377 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  378 INTERPRETER_NAME = @INTERPRETER_NAME@
  379 LD = @LD@
  380 LDFLAGS = @LDFLAGS@
  381 LIBOBJS = @LIBOBJS@
  382 LIBS = @LIBS@
  383 LIBTOOL = @LIBTOOL@
  384 LIPO = @LIPO@
  385 LN_S = @LN_S@
  386 LTLIBOBJS = @LTLIBOBJS@
  387 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  388 MAINT = @MAINT@
  389 MAKEINFO = @MAKEINFO@
  390 MANIFEST_TOOL = @MANIFEST_TOOL@
  391 MKDIR_P = @MKDIR_P@
  392 NM = @NM@
  393 NMEDIT = @NMEDIT@
  394 OBJDUMP = @OBJDUMP@
  395 OBJEXT = @OBJEXT@
  396 OTOOL = @OTOOL@
  397 OTOOL64 = @OTOOL64@
  398 PACKAGE = @PACKAGE@
  399 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  400 PACKAGE_NAME = @PACKAGE_NAME@
  401 PACKAGE_STRING = @PACKAGE_STRING@
  402 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  403 PACKAGE_URL = @PACKAGE_URL@
  404 PACKAGE_VERSION = @PACKAGE_VERSION@
  405 PATH_SEPARATOR = @PATH_SEPARATOR@
  406 PERL = @PERL@
  407 PIC = @PIC@
  408 PKGDATADIR = @PKGDATADIR@
  409 RANLIB = @RANLIB@
  410 RELSTATUS = @RELSTATUS@
  411 RM = @RM@
  412 SED = @SED@
  413 SET_MAKE = @SET_MAKE@
  414 SHELL = @SHELL@
  415 SH_PROG = @SH_PROG@
  416 STRIP = @STRIP@
  417 VERSION = @VERSION@
  418 WL = @WL@
  419 abs_builddir = @abs_builddir@
  420 abs_srcdir = @abs_srcdir@
  421 abs_top_builddir = @abs_top_builddir@
  422 abs_top_srcdir = @abs_top_srcdir@
  423 ac_ct_AR = @ac_ct_AR@
  424 ac_ct_CC = @ac_ct_CC@
  425 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  426 am__include = @am__include@
  427 am__leading_dot = @am__leading_dot@
  428 am__quote = @am__quote@
  429 am__tar = @am__tar@
  430 am__untar = @am__untar@
  431 bindir = @bindir@
  432 build = @build@
  433 build_alias = @build_alias@
  434 build_cpu = @build_cpu@
  435 build_os = @build_os@
  436 build_vendor = @build_vendor@
  437 builddir = @builddir@
  438 datadir = @datadir@
  439 datarootdir = @datarootdir@
  440 docdir = @docdir@
  441 dvidir = @dvidir@
  442 exec_prefix = @exec_prefix@
  443 host = @host@
  444 host_alias = @host_alias@
  445 host_cpu = @host_cpu@
  446 host_os = @host_os@
  447 host_vendor = @host_vendor@
  448 htmldir = @htmldir@
  449 includedir = @includedir@
  450 infodir = @infodir@
  451 install_sh = @install_sh@
  452 libdir = @libdir@
  453 libexecdir = @libexecdir@
  454 localedir = @localedir@
  455 localstatedir = @localstatedir@
  456 mandir = @mandir@
  457 mkdir_p = @mkdir_p@
  458 oldincludedir = @oldincludedir@
  459 pdfdir = @pdfdir@
  460 prefix = @prefix@
  461 program_transform_name = @program_transform_name@
  462 psdir = @psdir@
  463 runstatedir = @runstatedir@
  464 sbindir = @sbindir@
  465 sharedstatedir = @sharedstatedir@
  466 srcdir = @srcdir@
  467 sysconfdir = @sysconfdir@
  468 target_alias = @target_alias@
  469 top_build_prefix = @top_build_prefix@
  470 top_builddir = @top_builddir@
  471 top_srcdir = @top_srcdir@
  472 test_in_files = \
  473 	test-bug-step-subshell.in \
  474 	test-complete.in 	\
  475 	test-debug.in 		\
  476 	test-delete.in 		\
  477 	test-export.in 		\
  478 	test-file-with-spaces.in \
  479 	test-info-args.in	\
  480 	test-interrupt.in	\
  481 	test-misc.in		\
  482 	test-bug-break.in       \
  483 	test-setshow.in		\
  484 	test-settrace.in        \
  485 	test-sig.in
  486 
  487 test_sources = \
  488 	test-bug-step-subshell 	\
  489 	test-bug-set-e 		\
  490 	test-complete 		\
  491 	test-debug 		\
  492 	test-delete 		\
  493 	test-export 		\
  494 	test-file-with-spaces 	\
  495 	test-info-args		\
  496 	test-interrupt		\
  497 	test-misc		\
  498 	test-setshow		\
  499 	test-sig
  500 
  501 check_DATA = \
  502 	$(test_in_files)   \
  503 	check-common.sh.in \
  504 	interrupt.tests    \
  505 	interrupt-3.tests  \
  506 	lopts.tests        \
  507 	settrace.tests 	   \
  508 	sopts.tests        \
  509 	test-bug-break.in  \
  510 	test-settrace.in   \
  511 	test-sig.in        \
  512 	trace.tests	   \
  513 	trace2.tests
  514 
  515 TESTS = \
  516 	$(test_sources) \
  517 	test-action     \
  518 	test-brkpt      \
  519 	test-bug-args   \
  520 	test-bugI       \
  521 	test-bugIFS     \
  522 	test-bug-loc    \
  523 	test-bug-set-e  \
  524 	test-bug-source \
  525 	test-command    \
  526 	test-display    \
  527 	test-enable     \
  528 	test-file-with-spaces  \
  529 	test-finish     \
  530 	test-frame      \
  531 	test-interrupt  \
  532 	test-list       \
  533 	test-lopts 	\
  534 	test-multi	\
  535 	test-parm	\
  536 	test-restart	\
  537 	test-search	\
  538 	test-settrace 	\
  539 	test-skip 	\
  540 	test-sopts 	\
  541 	test-bug-break 	\
  542 	test-bug-clear 	\
  543 	test-bug-step 	\
  544 	test-subshell 	\
  545 	test-tbreak	\
  546 	test-trace	\
  547 	test-watch1	\
  548 	test-watch2
  549 
  550 TESTS_ENVIRONMENT = \
  551   srcdir="$(abs_srcdir)" \
  552   builddir="$(abs_builddir)"
  553 
  554 EXTRA_DIST = $(TESTS) $(check_DATA) $(test_in_files) README
  555 CLEANFILES = *.check
  556 MOSTLYCLEANFILES = *.orig *.rej
  557 all: all-am
  558 
  559 .SUFFIXES:
  560 .SUFFIXES: .log .test .test$(EXEEXT) .trs
  561 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  562 	@for dep in $?; do \
  563 	  case '$(am__configure_deps)' in \
  564 	    *$$dep*) \
  565 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  566 	        && { if test -f $@; then exit 0; else break; fi; }; \
  567 	      exit 1;; \
  568 	  esac; \
  569 	done; \
  570 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/integration/Makefile'; \
  571 	$(am__cd) $(top_srcdir) && \
  572 	  $(AUTOMAKE) --foreign test/integration/Makefile
  573 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  574 	@case '$?' in \
  575 	  *config.status*) \
  576 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  577 	  *) \
  578 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  579 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  580 	esac;
  581 
  582 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  583 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  584 
  585 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  586 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  587 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  588 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  589 $(am__aclocal_m4_deps):
  590 test-bug-break: $(top_builddir)/config.status $(srcdir)/test-bug-break.in
  591 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  592 test-bug-step-subshell: $(top_builddir)/config.status $(srcdir)/test-bug-step-subshell.in
  593 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  594 test-complete: $(top_builddir)/config.status $(srcdir)/test-complete.in
  595 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  596 test-debug: $(top_builddir)/config.status $(srcdir)/test-debug.in
  597 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  598 test-delete: $(top_builddir)/config.status $(srcdir)/test-delete.in
  599 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  600 test-export: $(top_builddir)/config.status $(srcdir)/test-export.in
  601 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  602 test-file-with-spaces: $(top_builddir)/config.status $(srcdir)/test-file-with-spaces.in
  603 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  604 test-interrupt: $(top_builddir)/config.status $(srcdir)/test-interrupt.in
  605 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  606 test-misc: $(top_builddir)/config.status $(srcdir)/test-misc.in
  607 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  608 test-setshow: $(top_builddir)/config.status $(srcdir)/test-setshow.in
  609 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  610 test-info-args: $(top_builddir)/config.status $(srcdir)/test-info-args.in
  611 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  612 test-settrace: $(top_builddir)/config.status $(srcdir)/test-settrace.in
  613 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  614 test-sig: $(top_builddir)/config.status $(srcdir)/test-sig.in
  615 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  616 check-common.sh: $(top_builddir)/config.status $(srcdir)/check-common.sh.in
  617 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  618 
  619 mostlyclean-libtool:
  620 	-rm -f *.lo
  621 
  622 clean-libtool:
  623 	-rm -rf .libs _libs
  624 tags TAGS:
  625 
  626 ctags CTAGS:
  627 
  628 cscope cscopelist:
  629 
  630 
  631 # Recover from deleted '.trs' file; this should ensure that
  632 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  633 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  634 # to avoid problems with "make -n".
  635 .log.trs:
  636 	rm -f $< $@
  637 	$(MAKE) $(AM_MAKEFLAGS) $<
  638 
  639 # Leading 'am--fnord' is there to ensure the list of targets does not
  640 # expand to empty, as could happen e.g. with make check TESTS=''.
  641 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  642 am--force-recheck:
  643 	@:
  644 
  645 $(TEST_SUITE_LOG): $(TEST_LOGS)
  646 	@$(am__set_TESTS_bases); \
  647 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  648 	redo_bases=`for i in $$bases; do \
  649 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  650 	            done`; \
  651 	if test -n "$$redo_bases"; then \
  652 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  653 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  654 	  if $(am__make_dryrun); then :; else \
  655 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  656 	  fi; \
  657 	fi; \
  658 	if test -n "$$am__remaking_logs"; then \
  659 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  660 	       "recursion detected" >&2; \
  661 	elif test -n "$$redo_logs"; then \
  662 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  663 	fi; \
  664 	if $(am__make_dryrun); then :; else \
  665 	  st=0;  \
  666 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  667 	  for i in $$redo_bases; do \
  668 	    test -f $$i.trs && test -r $$i.trs \
  669 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  670 	    test -f $$i.log && test -r $$i.log \
  671 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  672 	  done; \
  673 	  test $$st -eq 0 || exit 1; \
  674 	fi
  675 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  676 	ws='[ 	]'; \
  677 	results=`for b in $$bases; do echo $$b.trs; done`; \
  678 	test -n "$$results" || results=/dev/null; \
  679 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  680 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  681 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  682 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  683 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  684 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  685 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  686 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  687 	  success=true; \
  688 	else \
  689 	  success=false; \
  690 	fi; \
  691 	br='==================='; br=$$br$$br$$br$$br; \
  692 	result_count () \
  693 	{ \
  694 	    if test x"$$1" = x"--maybe-color"; then \
  695 	      maybe_colorize=yes; \
  696 	    elif test x"$$1" = x"--no-color"; then \
  697 	      maybe_colorize=no; \
  698 	    else \
  699 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  700 	    fi; \
  701 	    shift; \
  702 	    desc=$$1 count=$$2; \
  703 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  704 	      color_start=$$3 color_end=$$std; \
  705 	    else \
  706 	      color_start= color_end=; \
  707 	    fi; \
  708 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  709 	}; \
  710 	create_testsuite_report () \
  711 	{ \
  712 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  713 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  714 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  715 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  716 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  717 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  718 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  719 	}; \
  720 	{								\
  721 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  722 	    $(am__rst_title);						\
  723 	  create_testsuite_report --no-color;				\
  724 	  echo;								\
  725 	  echo ".. contents:: :depth: 2";				\
  726 	  echo;								\
  727 	  for b in $$bases; do echo $$b; done				\
  728 	    | $(am__create_global_log);					\
  729 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  730 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  731 	if $$success; then						\
  732 	  col="$$grn";							\
  733 	 else								\
  734 	  col="$$red";							\
  735 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  736 	fi;								\
  737 	echo "$${col}$$br$${std}"; 					\
  738 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  739 	echo "$${col}$$br$${std}"; 					\
  740 	create_testsuite_report --maybe-color;				\
  741 	echo "$$col$$br$$std";						\
  742 	if $$success; then :; else					\
  743 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  744 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  745 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  746 	  fi;								\
  747 	  echo "$$col$$br$$std";					\
  748 	fi;								\
  749 	$$success || exit 1
  750 
  751 check-TESTS:
  752 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  753 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  754 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  755 	@set +e; $(am__set_TESTS_bases); \
  756 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  757 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  758 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  759 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  760 	exit $$?;
  761 recheck: all $(check_DATA)
  762 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  763 	@set +e; $(am__set_TESTS_bases); \
  764 	bases=`for i in $$bases; do echo $$i; done \
  765 	         | $(am__list_recheck_tests)` || exit 1; \
  766 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  767 	log_list=`echo $$log_list`; \
  768 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  769 	        am__force_recheck=am--force-recheck \
  770 	        TEST_LOGS="$$log_list"; \
  771 	exit $$?
  772 test-bug-step-subshell.log: test-bug-step-subshell
  773 	@p='test-bug-step-subshell'; \
  774 	b='test-bug-step-subshell'; \
  775 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  776 	--log-file $$b.log --trs-file $$b.trs \
  777 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  778 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  779 test-bug-set-e.log: test-bug-set-e
  780 	@p='test-bug-set-e'; \
  781 	b='test-bug-set-e'; \
  782 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  783 	--log-file $$b.log --trs-file $$b.trs \
  784 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  785 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  786 test-complete.log: test-complete
  787 	@p='test-complete'; \
  788 	b='test-complete'; \
  789 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  790 	--log-file $$b.log --trs-file $$b.trs \
  791 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  792 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  793 test-debug.log: test-debug
  794 	@p='test-debug'; \
  795 	b='test-debug'; \
  796 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  797 	--log-file $$b.log --trs-file $$b.trs \
  798 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  799 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  800 test-delete.log: test-delete
  801 	@p='test-delete'; \
  802 	b='test-delete'; \
  803 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  804 	--log-file $$b.log --trs-file $$b.trs \
  805 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  806 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  807 test-export.log: test-export
  808 	@p='test-export'; \
  809 	b='test-export'; \
  810 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  811 	--log-file $$b.log --trs-file $$b.trs \
  812 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  813 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  814 test-file-with-spaces.log: test-file-with-spaces
  815 	@p='test-file-with-spaces'; \
  816 	b='test-file-with-spaces'; \
  817 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  818 	--log-file $$b.log --trs-file $$b.trs \
  819 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  820 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  821 test-info-args.log: test-info-args
  822 	@p='test-info-args'; \
  823 	b='test-info-args'; \
  824 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  825 	--log-file $$b.log --trs-file $$b.trs \
  826 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  827 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  828 test-interrupt.log: test-interrupt
  829 	@p='test-interrupt'; \
  830 	b='test-interrupt'; \
  831 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  832 	--log-file $$b.log --trs-file $$b.trs \
  833 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  834 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  835 test-misc.log: test-misc
  836 	@p='test-misc'; \
  837 	b='test-misc'; \
  838 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  839 	--log-file $$b.log --trs-file $$b.trs \
  840 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  841 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  842 test-setshow.log: test-setshow
  843 	@p='test-setshow'; \
  844 	b='test-setshow'; \
  845 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  846 	--log-file $$b.log --trs-file $$b.trs \
  847 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  848 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  849 test-sig.log: test-sig
  850 	@p='test-sig'; \
  851 	b='test-sig'; \
  852 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  853 	--log-file $$b.log --trs-file $$b.trs \
  854 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  855 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  856 test-action.log: test-action
  857 	@p='test-action'; \
  858 	b='test-action'; \
  859 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  860 	--log-file $$b.log --trs-file $$b.trs \
  861 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  862 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  863 test-brkpt.log: test-brkpt
  864 	@p='test-brkpt'; \
  865 	b='test-brkpt'; \
  866 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  867 	--log-file $$b.log --trs-file $$b.trs \
  868 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  869 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  870 test-bug-args.log: test-bug-args
  871 	@p='test-bug-args'; \
  872 	b='test-bug-args'; \
  873 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  874 	--log-file $$b.log --trs-file $$b.trs \
  875 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  876 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  877 test-bugI.log: test-bugI
  878 	@p='test-bugI'; \
  879 	b='test-bugI'; \
  880 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  881 	--log-file $$b.log --trs-file $$b.trs \
  882 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  883 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  884 test-bugIFS.log: test-bugIFS
  885 	@p='test-bugIFS'; \
  886 	b='test-bugIFS'; \
  887 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  888 	--log-file $$b.log --trs-file $$b.trs \
  889 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  890 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  891 test-bug-loc.log: test-bug-loc
  892 	@p='test-bug-loc'; \
  893 	b='test-bug-loc'; \
  894 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  895 	--log-file $$b.log --trs-file $$b.trs \
  896 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  897 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  898 test-bug-source.log: test-bug-source
  899 	@p='test-bug-source'; \
  900 	b='test-bug-source'; \
  901 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  902 	--log-file $$b.log --trs-file $$b.trs \
  903 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  904 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  905 test-command.log: test-command
  906 	@p='test-command'; \
  907 	b='test-command'; \
  908 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  909 	--log-file $$b.log --trs-file $$b.trs \
  910 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  911 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  912 test-display.log: test-display
  913 	@p='test-display'; \
  914 	b='test-display'; \
  915 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  916 	--log-file $$b.log --trs-file $$b.trs \
  917 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  918 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  919 test-enable.log: test-enable
  920 	@p='test-enable'; \
  921 	b='test-enable'; \
  922 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  923 	--log-file $$b.log --trs-file $$b.trs \
  924 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  925 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  926 test-finish.log: test-finish
  927 	@p='test-finish'; \
  928 	b='test-finish'; \
  929 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  930 	--log-file $$b.log --trs-file $$b.trs \
  931 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  932 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  933 test-frame.log: test-frame
  934 	@p='test-frame'; \
  935 	b='test-frame'; \
  936 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  937 	--log-file $$b.log --trs-file $$b.trs \
  938 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  939 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  940 test-list.log: test-list
  941 	@p='test-list'; \
  942 	b='test-list'; \
  943 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  944 	--log-file $$b.log --trs-file $$b.trs \
  945 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  946 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  947 test-lopts.log: test-lopts
  948 	@p='test-lopts'; \
  949 	b='test-lopts'; \
  950 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  951 	--log-file $$b.log --trs-file $$b.trs \
  952 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  953 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  954 test-multi.log: test-multi
  955 	@p='test-multi'; \
  956 	b='test-multi'; \
  957 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  958 	--log-file $$b.log --trs-file $$b.trs \
  959 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  960 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  961 test-parm.log: test-parm
  962 	@p='test-parm'; \
  963 	b='test-parm'; \
  964 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  965 	--log-file $$b.log --trs-file $$b.trs \
  966 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  967 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  968 test-restart.log: test-restart
  969 	@p='test-restart'; \
  970 	b='test-restart'; \
  971 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  972 	--log-file $$b.log --trs-file $$b.trs \
  973 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  974 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  975 test-search.log: test-search
  976 	@p='test-search'; \
  977 	b='test-search'; \
  978 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  979 	--log-file $$b.log --trs-file $$b.trs \
  980 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  981 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  982 test-settrace.log: test-settrace
  983 	@p='test-settrace'; \
  984 	b='test-settrace'; \
  985 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  986 	--log-file $$b.log --trs-file $$b.trs \
  987 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  988 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  989 test-skip.log: test-skip
  990 	@p='test-skip'; \
  991 	b='test-skip'; \
  992 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  993 	--log-file $$b.log --trs-file $$b.trs \
  994 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  995 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  996 test-sopts.log: test-sopts
  997 	@p='test-sopts'; \
  998 	b='test-sopts'; \
  999 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1000 	--log-file $$b.log --trs-file $$b.trs \
 1001 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1002 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1003 test-bug-break.log: test-bug-break
 1004 	@p='test-bug-break'; \
 1005 	b='test-bug-break'; \
 1006 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1007 	--log-file $$b.log --trs-file $$b.trs \
 1008 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1009 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1010 test-bug-clear.log: test-bug-clear
 1011 	@p='test-bug-clear'; \
 1012 	b='test-bug-clear'; \
 1013 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1014 	--log-file $$b.log --trs-file $$b.trs \
 1015 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1016 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1017 test-bug-step.log: test-bug-step
 1018 	@p='test-bug-step'; \
 1019 	b='test-bug-step'; \
 1020 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1021 	--log-file $$b.log --trs-file $$b.trs \
 1022 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1023 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1024 test-subshell.log: test-subshell
 1025 	@p='test-subshell'; \
 1026 	b='test-subshell'; \
 1027 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1028 	--log-file $$b.log --trs-file $$b.trs \
 1029 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1030 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1031 test-tbreak.log: test-tbreak
 1032 	@p='test-tbreak'; \
 1033 	b='test-tbreak'; \
 1034 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1035 	--log-file $$b.log --trs-file $$b.trs \
 1036 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1037 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1038 test-trace.log: test-trace
 1039 	@p='test-trace'; \
 1040 	b='test-trace'; \
 1041 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1042 	--log-file $$b.log --trs-file $$b.trs \
 1043 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1044 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1045 test-watch1.log: test-watch1
 1046 	@p='test-watch1'; \
 1047 	b='test-watch1'; \
 1048 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1049 	--log-file $$b.log --trs-file $$b.trs \
 1050 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1051 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1052 test-watch2.log: test-watch2
 1053 	@p='test-watch2'; \
 1054 	b='test-watch2'; \
 1055 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1056 	--log-file $$b.log --trs-file $$b.trs \
 1057 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1058 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1059 .test.log:
 1060 	@p='$<'; \
 1061 	$(am__set_b); \
 1062 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1063 	--log-file $$b.log --trs-file $$b.trs \
 1064 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1065 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1066 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 1067 @am__EXEEXT_TRUE@	@p='$<'; \
 1068 @am__EXEEXT_TRUE@	$(am__set_b); \
 1069 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1070 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
 1071 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1072 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1073 
 1074 distdir: $(DISTFILES)
 1075 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1076 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1077 	list='$(DISTFILES)'; \
 1078 	  dist_files=`for file in $$list; do echo $$file; done | \
 1079 	  sed -e "s|^$$srcdirstrip/||;t" \
 1080 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 1081 	case $$dist_files in \
 1082 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 1083 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 1084 			   sort -u` ;; \
 1085 	esac; \
 1086 	for file in $$dist_files; do \
 1087 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 1088 	  if test -d $$d/$$file; then \
 1089 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 1090 	    if test -d "$(distdir)/$$file"; then \
 1091 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1092 	    fi; \
 1093 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 1094 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 1095 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1096 	    fi; \
 1097 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 1098 	  else \
 1099 	    test -f "$(distdir)/$$file" \
 1100 	    || cp -p $$d/$$file "$(distdir)/$$file" \
 1101 	    || exit 1; \
 1102 	  fi; \
 1103 	done
 1104 check-am: all-am
 1105 	$(MAKE) $(AM_MAKEFLAGS) $(check_DATA)
 1106 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1107 check: check-am
 1108 all-am: Makefile
 1109 installdirs:
 1110 install: install-am
 1111 install-exec: install-exec-am
 1112 install-data: install-data-am
 1113 uninstall: uninstall-am
 1114 
 1115 install-am: all-am
 1116 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1117 
 1118 installcheck: installcheck-am
 1119 install-strip:
 1120 	if test -z '$(STRIP)'; then \
 1121 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1122 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1123 	      install; \
 1124 	else \
 1125 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1126 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1127 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1128 	fi
 1129 mostlyclean-generic:
 1130 	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
 1131 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1132 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1133 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1134 
 1135 clean-generic:
 1136 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 1137 
 1138 distclean-generic:
 1139 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1140 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1141 
 1142 maintainer-clean-generic:
 1143 	@echo "This command is intended for maintainers to use"
 1144 	@echo "it deletes files that may require special tools to rebuild."
 1145 clean: clean-am
 1146 
 1147 clean-am: clean-generic clean-libtool mostlyclean-am
 1148 
 1149 distclean: distclean-am
 1150 	-rm -f Makefile
 1151 distclean-am: clean-am distclean-generic
 1152 
 1153 dvi: dvi-am
 1154 
 1155 dvi-am:
 1156 
 1157 html: html-am
 1158 
 1159 html-am:
 1160 
 1161 info: info-am
 1162 
 1163 info-am:
 1164 
 1165 install-data-am:
 1166 
 1167 install-dvi: install-dvi-am
 1168 
 1169 install-dvi-am:
 1170 
 1171 install-exec-am:
 1172 
 1173 install-html: install-html-am
 1174 
 1175 install-html-am:
 1176 
 1177 install-info: install-info-am
 1178 
 1179 install-info-am:
 1180 
 1181 install-man:
 1182 
 1183 install-pdf: install-pdf-am
 1184 
 1185 install-pdf-am:
 1186 
 1187 install-ps: install-ps-am
 1188 
 1189 install-ps-am:
 1190 
 1191 installcheck-am:
 1192 
 1193 maintainer-clean: maintainer-clean-am
 1194 	-rm -f Makefile
 1195 maintainer-clean-am: distclean-am maintainer-clean-generic
 1196 
 1197 mostlyclean: mostlyclean-am
 1198 
 1199 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
 1200 
 1201 pdf: pdf-am
 1202 
 1203 pdf-am:
 1204 
 1205 ps: ps-am
 1206 
 1207 ps-am:
 1208 
 1209 uninstall-am:
 1210 
 1211 .MAKE: check-am install-am install-strip
 1212 
 1213 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
 1214 	clean-libtool cscopelist-am ctags-am distclean \
 1215 	distclean-generic distclean-libtool distdir dvi dvi-am html \
 1216 	html-am info info-am install install-am install-data \
 1217 	install-data-am install-dvi install-dvi-am install-exec \
 1218 	install-exec-am install-html install-html-am install-info \
 1219 	install-info-am install-man install-pdf install-pdf-am \
 1220 	install-ps install-ps-am install-strip installcheck \
 1221 	installcheck-am installdirs maintainer-clean \
 1222 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 1223 	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
 1224 	uninstall uninstall-am
 1225 
 1226 .PRECIOUS: Makefile
 1227 
 1228 
 1229 test: check
 1230 test-integration: check
 1231 
 1232 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1233 # Otherwise a system limit (for SysV at least) may be exceeded.
 1234 .NOEXPORT: